#agenda_horario {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 50px;
}

#login {
  background-color: #fff;
  box-shadow: var(--shadow);
  border-radius: 10px;
  padding: 40px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 30px;

  & h1 {
    padding-left: 0;
    margin: 0;
    text-align: center;
  }

  & .campo {
    display: flex;
    flex-direction: column;
    width: 100%;

    & input {
      width: 100%;
      border: 1px solid var(--cor-cinza);
      padding: 15px;
      border-radius: 7px;
    }
  }

  & .submit-button {
    width: 100%;
    border-radius: 7px;
    padding: 15px;
    border: none;
    background-color: var(--cor-secundaria);
    color: white;
    cursor: pointer;

    &:hover {
      background-color: var(--cor-secundaria-hover);
    }
  }

  & .register-button {
    border: none;
    background-color: transparent;
    cursor: pointer;
    text-decoration: underline;

    &:hover {
      color: var(--cor-secundaria);
    }
  }
}

.modal_cadastrar .resultado_cadastro form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 30px;

  & .campo {
    display: flex;
    flex-direction: column;
    width: 100%;

    & * {
      text-align: left;
    }

    & input {
      width: 100%;
      border: 1px solid var(--cor-cinza);
      padding: 15px;
      border-radius: 7px;
    }
  }
}
.modal_alterar .resultado_cadastro form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 30px;

  & .campo {
    display: flex;
    flex-direction: column;
    width: 100%;

    & * {
      text-align: left;
    }

    & input {
      width: 100%;
      border: 1px solid var(--cor-cinza);
      padding: 15px;
      border-radius: 7px;
    }
  }
}

#painel-agendamento {
  padding: 50px;

  & header {
    all: unset;
    border-bottom: 2px solid var(--cor-secundaria);
    display: flex;
    justify-content: space-between;
    align-items: center;

    & h1 {
      min-height: 0;
      border: none;
      margin: 0;
    }

    & .sair {
      height: fit-content;
      display: flex;
      align-items: center;
      gap: 10px;
      color: var(--cor-principal);

      &:hover {
        color: var(--cor-secundaria);
      }

      & span {
        font-size: 1.4rem;
        font-weight: normal;
      }

      & .botao-sair {
        height: fit-content;
        font-size: 1.8rem;
      }
    }
  }

  & .blocos {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 20px;

    & .bloco {
      width: 100%;
      background-color: #fff;
      border-radius: 10px;
      box-shadow: var(--shadow);
      padding: 30px;
      display: flex;
      flex-direction: column;
      gap: 30px;

      & h2 {
        border: none;
        padding: 0;
        text-align: center;
      }

      & button,
      a {
        background-color: var(--cor-secundaria);
        color: white;
        border: none;
        border-radius: 7px;
        padding: 10px;
        text-align: center;

        &:hover {
          background-color: var(--cor-secundaria-clara);
        }
      }
    }
  }
}

#modal-horario .content .resultado {
  & .form-busca-horario-disponivel {
    display: flex;
    flex-direction: column;
    padding: 10px 0;
    text-align: left;

    & #calendario {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      position: relative;

      & input {
        border-radius: calc(48px / 2);
        width: fit-content;
        text-align: center;
      }
    }
  }
}

@media only screen and (max-width: 540px) {
  #agenda_horario {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0px;
  }

  #login {
    background-color: #fff;
    box-shadow: none;
    border-radius: 0px;
    padding: 40px;
    width: 100%;
    min-height: 70vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;

    & h1 {
      padding-left: 0;
      margin: 0;
      text-align: center;
      width: 100%;
    }
  }

  #painel-agendamento {
    padding: 25px;
  }
}
